=== modified file 'bzrlib/tree.py'
--- bzrlib/tree.py	2009-07-17 06:04:35 +0000
+++ bzrlib/tree.py	2009-08-24 06:39:40 +0000
@@ -218,6 +218,9 @@
     def path_content_summary(self, path):
         """Get a summary of the information about path.
 
+        All the attributes returned are for the canonical form, not the
+        convenient form (if content filters are in use.)
+
         :param path: A relative path within the tree.
         :return: A tuple containing kind, size, exec, sha1-or-link.
             Kind is always present (see tree.kind()).

